Subject: bug#52982: `guix home reconfigure` not installing packages in configuration file.

From: Ry Pemberton <[email-masked]>
Date: Mon, 03 Jan 2022 17:47:31 +0000

Hello :)

I've run into a strange issue where `guix home reconfigure` does not install the packages listed in the (home-environment(packages(append))) block.

It isn't throwing any errors except for a warning:
WARNING: Use of `load' in declarative module (#{ g56}#). Add #:declarative? #f to your define-module invocation. unbound-variable(#f "Unbound variable: ~S" (make-system-contructor) #f)

I am not using define-module as far as I know.
Guix Version: d87c292d7d4ec7349b22278bca45c9a7ca03ffe4
OS: GuixSD

Here is my guix home file:
https://paste.debian.net/plain/1225704

It is invoked with 'guix home reconfigure'.

Thank you for your time
- Ry (opalvaults)